#ifndef ADS_DRIVER1553_H
#define ADS_DRIVER1553_H

#include "ads_driver1553_global.h"

//#include <QtPlugin>

class QSettings;
class IAvbDriver;

class ADS_DRIVER1553SHARED_EXPORT Ads_driver1553
{
public:
  virtual ~Ads_driver1553();

  virtual IAvbDriver* createDriver(QSettings* s=0)=0;
};

//Q_DECLARE_INTERFACE(Ads_driver1553, "ads.IAvbDriver/1.0")

#endif // ADS_DRIVER1553_H
